import Vue from 'vue'
import App from './App.vue'
//引入路由器
import router from './router'
import 'amfe-flexible/index'
import './services/vant'
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
import applyFriendLink from './utils/applyFriendLink'
import Header from './components/Header'

applyFriendLink()

Vue.config.productionTip = false
Vue.use(ElementUI)
Vue.component('website-header', Header)

new Vue({
  router,
  render: (h) => h(App),
}).$mount('#app')
